mynosqlitegres
==============

This is a toy project to experiment with several things:

* protocol design
* SQL-backed documented-oriented NoSQL
* node.js

I wouldn't use mynosqlitegres in production.  A database needs a coherent
design, skilled implementation, and considerable testing; mynosqlitegres
has none of these.

If mynosqlitegres' design, such as it is, looks a bit like CouchDB but
incompetent, that's not an accident.  Its design indeed borrows a lot
from CouchDB.  However, CouchDB is generally pretty awesome.  mynosqlitegres
is a fun little project, but it isn't exactly awesome.

I'd like to see mynosqlitegres improve, but for the forseeable future, it
is no more than a side project and a testbed.

At the moment, it mynosqlitegres only works with sqlite (and even with
that one database, badly).  It's short and simple enough that making it work
with other SQL databases would not be too much work, provided adequate
node libraries.


Installation
------------

Install node.  Then install npm.  Then do:

    $ for i in mysql sqlite; do; npm install $i; done
    $ node ./main.js

You can then play around with mynosqlitegres using `create.sh`, `del.sh`,
`get.sh`, and `put.sh`.  These scripts are just wrappers around curl and do
no error handling.
